<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">
    <property name="now" value="current_timestamp" dbms="postgresql"/>
    <property name="floatType" value="float4" dbms="postgresql"/>
    <property name="clobType" value="clob" dbms="postgresql"/>
    <property name="blobType" value="blob" dbms="postgresql"/>
    <property name="uuidType" value="uuid" dbms="postgresql"/>
    <property name="datetimeType" value="datetime" dbms="postgresql"/>
    <property name="timeType" value="time(6)" dbms="postgresql"/>

    <include file="config/liquibase/changelog/00000000000000_initial_schema.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161121_added_entity_AuditLog.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161122_added_entity_Disponibilita.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161123_added_entity_Notifica.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161124_added_entity_Prenotazione.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161125_added_entity_Conferma.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161126_added_entity_Struttura.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161127_added_entity_UtenteApp.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161128_added_entity_Liberatoria.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161129_added_entity_ModelloLiberatoria.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161130_added_entity_Messaggio.xml" relativeToChangelogFile="false"/>
    <!-- jhipster-needle-liquibase-add-changelog - JHipster will add liquibase changelogs here -->
    <include file="config/liquibase/changelog/20251210161121_added_entity_constraints_AuditLog.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161122_added_entity_constraints_Disponibilita.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161123_added_entity_constraints_Notifica.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161124_added_entity_constraints_Prenotazione.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161125_added_entity_constraints_Conferma.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161128_added_entity_constraints_Liberatoria.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161129_added_entity_constraints_ModelloLiberatoria.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161130_added_entity_constraints_Messaggio.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20251210161127_added_entity_constraints_UtenteApp.xml" relativeToChangelogFile="false"/>
    <!-- jhipster-needle-liquibase-add-constraints-changelog - JHipster will add liquibase constraints changelogs here -->
    <!-- jhipster-needle-liquibase-add-incremental-changelog - JHipster will add incremental liquibase changelogs here -->
</databaseChangeLog>
